Bug 311852 - When listening to Last.fm radio, some tracks are scrobbled twice
Summary: When listening to Last.fm radio, some tracks are scrobbled twice
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Services/Last.fm (show other bugs)
Version: 2.6.90 (2.7 beta)
Platform: Other Linux
: NOR normal (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords: release_blocker
Depends on:
Blocks:
 
Reported: 2012-12-17 21:22 UTC by Matěj Laitl
Modified: 2013-01-16 21:24 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matěj Laitl 2012-12-17 21:22:31 UTC
...and scrobbling happens unusually on the beginning of the track, not end.
Comment 1 Matěj Laitl 2013-01-16 21:24:51 UTC
Git commit 3091641d26311d08c4a1c7d27bd1cfd5094b5ee5 by Matěj Laitl.
Committed on 16/01/2013 at 17:47.
Pushed by laitl into branch 'master'.

EngineController: more careful track-in-stream detection, fixes double-scrobbling

BUGFIXES:
 * Fix double-scrobbling when playing Last.fm streams.
FIXED-IN: 2.7

M  +1    -0    ChangeLog
M  +14   -3    src/EngineController.cpp
M  +6    -5    src/EngineController.h
M  +2    -1    src/core-impl/collections/db/sql/SqlMeta.cpp
M  +1    -0    src/core-impl/meta/stream/Stream.cpp

http://commits.kde.org/amarok/3091641d26311d08c4a1c7d27bd1cfd5094b5ee5